Bug 694005

Summary: CVE-2011-0997 dhclient: insufficient sanitization of certain DHCP response values [fedora-all]
Product: [Fedora] Fedora Reporter: Tomas Hoger <thoger>
Component: dhcpAssignee: Jiri Popelka <jpopelka>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: high    
Version: 14CC: casmls, jpopelka
Target Milestone: ---Keywords: Security, SecurityTracking
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2011-04-19 03:58:22 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Bug Depends On:    
Bug Blocks: 689832    

Description Tomas Hoger 2011-04-06 05:03:03 EDT
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected Fedora
versions.

For comments that are specific to the vulnerability please use bugs filed
against "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When creating a Bodhi update request, please include the bug IDs of the
respective parent bugs filed against the "Security Response" product.
Please mention CVE ids in the RPM changelog when available.

Bodhi update submission link:
https://admin.fedoraproject.org/updates/new/?type_=security&bugs=689832

Please note: this issue affects multiple supported versions of Fedora.
Only one tracking bug has been filed; please only close it when all
affected versions are fixed.


[bug automatically created by: add-tracking-bugs]
Comment 1 Fedora Update System 2011-04-06 07:58:21 EDT
dhcp-4.2.1-3.P1.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/dhcp-4.2.1-3.P1.fc15
Comment 2 Fedora Update System 2011-04-06 08:00:12 EDT
dhcp-4.2.0-20.P2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/dhcp-4.2.0-20.P2.fc14
Comment 3 Christoph A. 2011-04-06 13:53:21 EDT
What about fc13?
Comment 4 Jiri Popelka 2011-04-06 14:00:44 EDT
I have had some problems editing the previous security update that has still not been pushed to stable. But I'm working on it and will submit the update ASAP.
Comment 5 Fedora Update System 2011-04-07 04:48:20 EDT
dhcp-4.1.2-4.ESV.R2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/dhcp-4.1.2-4.ESV.R2.fc13
Comment 6 Fedora Update System 2011-04-12 17:32:59 EDT
dhcp-4.2.0-21.P2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2011-04-15 17:50:47 EDT
dhcp-4.2.1-4.P1.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2011-04-18 17:21:38 EDT
dhcp-4.1.2-4.ESV.R2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.